Index: /issm/trunk-jpl/externalpackages/numpy/README
===================================================================
--- /issm/trunk-jpl/externalpackages/numpy/README	(revision 13264)
+++ /issm/trunk-jpl/externalpackages/numpy/README	(revision 13264)
@@ -0,0 +1,9 @@
+For OSX 10.7 (Lion), the instructions here can be followed:  
+http://www.scipy.org/Installing_SciPy/Mac_OS_X
+
+For OSX 10.6 (Snow Leopard), the scipy folks recommend gcc and g++ version 4.0.
+However, ISSM needs the gfortran version recommended in $ISSM_DIR/externalpackages/gfortran.
+On the webpage listed above, make sure the "export CC" and "export CXX" commands point to the 
+binaries associated with this gfortran version (likely in /usr/local/gfortran/bin by default).
+Once this gfortran is installed, the install script in this directory for Snow Leopard should
+work.
Index: /issm/trunk-jpl/externalpackages/numpy/install-linux64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/numpy/install-linux64.sh	(revision 13264)
+++ /issm/trunk-jpl/externalpackages/numpy/install-linux64.sh	(revision 13264)
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -eu
+PYVERSION=2.7
+PYTHON=python${PYVERSION}
+
+export CC="gcc -fPIC"
+export CXX="g++ -fPIC"
+export F77="gfortran -fPIC"
+export FC="gfortran -fPIC"
+export FFLAGS=-ff2c
+
+#clean up
+rm -rf numpy
+
+#download numpy first
+export GIT_SSL_NO_VERIFY=true 
+git clone https://github.com/numpy/numpy.git
+
+#install numpy
+cd numpy
+python setup.py build
+python setup.py install
+cd ..
+${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
+${PYTHON} -c "import numpy; numpy.test()"
Index: /issm/trunk-jpl/externalpackages/numpy/install-macosx-lion.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/numpy/install-macosx-lion.sh	(revision 13264)
+++ /issm/trunk-jpl/externalpackages/numpy/install-macosx-lion.sh	(revision 13264)
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -eu
+
+export CC=gcc
+export CXX=g++
+export FFLAGS=-ff2c
+
+#download numpy first
+git clone https://github.com/numpy/numpy.git
+
+#install numpy
+cd numpy
+python setup.py build
+python setup.py install
Index: /issm/trunk-jpl/externalpackages/numpy/install-macosx-snowleopard.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/numpy/install-macosx-snowleopard.sh	(revision 13264)
+++ /issm/trunk-jpl/externalpackages/numpy/install-macosx-snowleopard.sh	(revision 13264)
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -eu
+PYVERSION=2.7
+PYTHON=python${PYVERSION}
+
+# gfortran 4.6 (see ISSM_DIR/externalpackages/gfortran) is necessary for ISSM compilation.
+# On OSX 10.6, this recommended version gets installed in /usr/local/gfortran 
+export CC=/usr/local/gfortran/bin/gcc
+export CXX=/usr/local/gfortran/bin/g++
+
+#download numpy first
+git clone https://github.com/numpy/numpy.git
+
+#install numpy
+cd numpy
+python setup.py build
+python setup.py install
+cd ..
+${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
+${PYTHON} -c "import numpy; numpy.test()"
Index: /issm/trunk-jpl/externalpackages/scipy/install-linux64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/scipy/install-linux64.sh	(revision 13263)
+++ /issm/trunk-jpl/externalpackages/scipy/install-linux64.sh	(revision 13264)
@@ -11,17 +11,5 @@
 
 #clean up
-rm -rf numpy scipy
-
-#download numpy first
-export GIT_SSL_NO_VERIFY=true 
-git clone https://github.com/numpy/numpy.git
-
-#install numpy
-cd numpy
-python setup.py build
-python setup.py install
-cd ..
-${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
-${PYTHON} -c "import numpy; numpy.test()"
+rm -rf scipy
 
 #download scipy
Index: /issm/trunk-jpl/externalpackages/scipy/install-macosx-lion.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/scipy/install-macosx-lion.sh	(revision 13263)
+++ /issm/trunk-jpl/externalpackages/scipy/install-macosx-lion.sh	(revision 13264)
@@ -1,40 +1,14 @@
 #!/bin/bash
 set -eu
-
-#1: install numpy
-#2 install scipy
-#3 erase
-install=2
-
 
 export CC=gcc
 export CXX=g++
 export FFLAGS=-ff2c
+	
+#download scipy
+git clone https://github.com/scipy/scipy.git
 
-
-if [[ $install == "1" ]];then 
-
-	#download numpy first
-	git clone https://github.com/numpy/numpy.git
-
-	#install numpy
-	cd numpy
-	python setup.py build
-	python setup.py install
-
-	
-elif [[ $install == "2" ]];then 
-	
-	#download scipy
-	git clone https://github.com/scipy/scipy.git
-
-	#install scipy
-	cd scipy
-	python setup.py build
-	python setup.py install
-
-elif [[ $install == "3" ]];then 
-	rm -rf numpy scipy
-else 
-	echo "Choice not covered"
-fi
+#install scipy
+cd scipy
+python setup.py build
+python setup.py install
Index: /issm/trunk-jpl/externalpackages/scipy/install-macosx-snowleopard.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/scipy/install-macosx-snowleopard.sh	(revision 13263)
+++ /issm/trunk-jpl/externalpackages/scipy/install-macosx-snowleopard.sh	(revision 13264)
@@ -3,9 +3,4 @@
 PYVERSION=2.7
 PYTHON=python${PYVERSION}
-
-#1: install numpy
-#2 install scipy
-#3 erase
-install=2
 
 # gfortran 4.6 (see ISSM_DIR/externalpackages/gfortran) is necessary for ISSM compilation.
@@ -14,33 +9,12 @@
 export CXX=/usr/local/gfortran/bin/g++
 
-if [[ $install == "1" ]];then 
+#download scipy
+git clone https://github.com/scipy/scipy.git
 
-	#download numpy first
-	git clone https://github.com/numpy/numpy.git
-
-	#install numpy
-	cd numpy
-	python setup.py build
-	python setup.py install
-	cd ..
-	${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
-	${PYTHON} -c "import numpy; numpy.test()"
-	
-elif [[ $install == "2" ]];then 
-	
-	#download scipy
-	git clone https://github.com/scipy/scipy.git
-
-	#install scipy
-	cd scipy
-	python setup.py build
-	python setup.py install
-	cd ..
-	${PYTHON} -c "import scipy; print 'Installed SciPy', scipy.__version__"
-	${PYTHON} -c "import scipy; scipy.test()"
-
-elif [[ $install == "3" ]];then 
-	rm -rf numpy scipy
-else 
-	echo "Choice not covered"
-fi
+#install scipy
+cd scipy
+python setup.py build
+python setup.py install
+cd ..
+${PYTHON} -c "import scipy; print 'Installed SciPy', scipy.__version__"
+${PYTHON} -c "import scipy; scipy.test()"
